Support > Forums > OpenBots Studio > Not able to create an excel application

Not able to create an excel application

CMR Sankar

  • Reporter
  • Calender Icon June 13,2021 at 12:09 PM

Hello, I am new to openbots. I have encountered an error when I try to create an excel application. error CS0103: The name 'DefaultExcel' does not exist in current context.

This forum has 172 topics, 459 replies, and was last updated an hour ago by Poornima Malv

Nataly Alvarado

  • Participant
  • Calender Icon August 02,2021 at 2:31 PM

David,

I am glad you were able to create the Excel application. The Set Variable command is used to give a value to a variable/argument. In this case, the value cannot be set unless it is generated by the Create Application command itself.

David Santos

  • Participant
  • Calender Icon July 31,2021 at 3:23 PM

Thanks Nataly, it is clear now. I was able to create the variable and passed it through the variable selection in the commented step. My mistake was that I used the set var step instead the varible editor (Ctrl+K).

Nataly Alvarado

  • Participant
  • Calender Icon July 29,2021 at 5:55 AM

Hi David,

When declaring your OBAppInstance variable, indicate the variable name in the Variable Name field (for example: ExDf). Select OBAppInstance as the Variable Type and leave the Variable Value field blank. It is not needed to set the variable value, since placing a string as value would produce a variable type mismatch. The ExDf variable can then be used as input for the Create Excel Application command Excel Instance Name field.

Let me know if this answers your question!

David Santos

  • Participant
  • Calender Icon July 26,2021 at 10:53 AM

Hello,

I have tried to follow the recommendations in order to generate a "create excel application" step but still it is not clear to me how to set up the parameters properly. Instead of adding a text (as in the version 1.4) I have created a variable "ExDf" and include this variable in the "create excel application" step without success. I got the error "Input and outputs types do not match" in the fist step of "Set varible". For your reference the var type used was OBAppintance (as requested by the "create excel application" Step). So in the set var the string "ExcelDefault" was assigned to the variable "ExDf" using the commented type. Could you provide a clarification to be able to use an Excel in the automation processes?

Thank you in advance.

Martín Coronado

  • Participant
  • Calender Icon June 13,2021 at 7:47 PM

sorry, i dont search well. here is the complete information

[Notes] This update brings significant changes to the manner in which commands and user inputs function due to the addition of a proper coding engine. Users will need to make the following adjustments to any code being migrated or created from v1.5.0 on. Variable will now be referenced without curly braces: {varX} -> varX String inputs will now require quotation marks: My Input -> �My Input� Integer and Double inputs will require no additional changes. Generic variables will require proper subtypes to be set: Dictionary<T, T> -> Dictionary<string, string> Application instances will need to be saved into variables and passed between scripts: DefaultBrowser -> browserInstance (variable) The System Variables have been removed, as they are easily accessible through standard C# functionality, in many cases with the same text: DateTime.Now -> DateTime.Now Strings are now appended through standard C# formats: Hello{var}World -> $�Hello{var}World� [OR] �Hello� � var + �World� Users will need to adjust inputs based upon feedback upon editing in commands. The validation will report any compilation issues, and most can be solved fairly easily.

here is the link https://openbots.ai/openbots-studio-v1-5-0-release-notes/

Martín Coronado

  • Participant
  • Calender Icon June 13,2021 at 6:14 PM

same here. i unistall current version of openbots and i install opebots 1.4.0 to fix the problem. current version have some issue with the create excell, and i dont find any documention of this command. so unistall and downgrade to 1.4.0

You are not authorized to reply, please click here to login and add your reply to this topic.